Index: mythcontrols/keybindings.cpp
===================================================================
--- mythcontrols/keybindings.cpp	(revision 11460)
+++ mythcontrols/keybindings.cpp	(working copy)
@@ -41,19 +41,19 @@
 
 KeyBindings::KeyBindings(const QString & hostname)
 {
-    this->hostname() = hostname;
-    loadManditoryBindings();
+    m_Hostname = hostname;
+    LoadMandatoryBindings();
 
-    retrieveContexts();
-    retrieveJumppoints();
+    RetrieveContexts();
+    RetrieveJumppoints();
 }
 
 
 
-ActionID * KeyBindings::conflicts(const QString & context_name,
+ActionID * KeyBindings::Conflicts(const QString & context_name,
                                   const QString & key, int &level) const
 {
-    const ActionList &ids = actionset.getActions(key);
+    const ActionList &ids = m_ActionSet.GetActions(key);
 
     /* trying to bind a jumppoint to an already bound key */
     if ((context_name == JUMP_CONTEXT) && (ids.count() > 0))
@@ -63,15 +63,18 @@
     for (size_t i = 0; i < ids.count(); i++)
     {
         /* jump points, then global, then the same context */
-        if (ids[i].context() == JUMP_CONTEXT) {
+        if (ids[i].Context() == JUMP_CONTEXT)
+        {
             level = KeyBindings::Error;
             return new ActionID(ids[i]);
         }
-        else if (ids[i].context() == context_name) {
+        else if (ids[i].Context() == context_name)
+        {
             level = KeyBindings::Error;
             return new ActionID(ids[i]);
         }
-        else if (ids[i].context()==GLOBAL_CONTEXT) {
+        else if (ids[i].Context()==GLOBAL_CONTEXT)
+        {
             level = KeyBindings::Warning;
             return new ActionID(ids[i]);
         }
@@ -84,7 +87,7 @@
 
 
 /* method description in header */
-bool KeyBindings::removeActionKey(const QString & context_name,
+bool KeyBindings::RemoveActionKey(const QString & context_name,
                                   const QString & action_name,
                                   const QString & key)
 {
@@ -92,16 +95,17 @@
     ActionID id(context_name, action_name);
 
     /* dont remove the last manditory binding */
-    if (getManditoryBindings().contains(id)&&(actionset.getKeys(id).count()<2))
+    if (GetMandatoryBindings().contains(id) &&
+        (m_ActionSet.GetKeys(id).count()<2))
         return false;
     else
-        return this->actionset.remove(id,key);
+        return this->m_ActionSet.Remove(id,key);
 }
 
 
 
 /* method description in header */
-void KeyBindings::commitAction(const ActionID & id)
+void KeyBindings::CommitAction(const ActionID & id)
 {
 
     MSqlQuery query(MSqlQuery::InitCon());
@@ -112,26 +116,27 @@
 
     if (query.isConnected())
     {
-        QString keys = actionset.keyString(id);
-        query.bindValue(":HOSTNAME", this->getHostname());
-        query.bindValue(":CONTEXT", id.context());
-        query.bindValue(":ACTION", id.action());
+        QString keys = m_ActionSet.KeyString(id);
+        query.bindValue(":HOSTNAME", this->GetHostname());
+        query.bindValue(":CONTEXT", id.Context());
+        query.bindValue(":ACTION", id.Action());
         query.bindValue(":KEYLIST", keys);
 
         if (query.exec() && query.isActive())
         {
             /* remove the current bindings */
-            gContext->GetMainWindow()->ClearKey(id.context(),id.action());
+            gContext->GetMainWindow()->ClearKey(id.Context(),id.Action());
 
             /* make the settings take effect */
-            gContext->GetMainWindow()->BindKey(id.context(), id.action(),keys);
+            gContext->GetMainWindow()->BindKey(id.Context(),
+                                               id.Action(), keys);
         }
     }
 }
 
 
 
-void KeyBindings::commitJumppoint(const ActionID &id)
+void KeyBindings::CommitJumppoint(const ActionID &id)
 {
 
     MSqlQuery query(MSqlQuery::InitCon());
@@ -142,39 +147,41 @@
 
     if (query.isConnected())
     {
-        QString keys = actionset.keyString(id);
-        query.bindValue(":HOSTNAME", this->getHostname());
-        query.bindValue(":DESTINATION", id.action());
+        QString keys = m_ActionSet.KeyString(id);
+        query.bindValue(":HOSTNAME", this->m_Hostname);
+        query.bindValue(":DESTINATION", id.Action());
         query.bindValue(":KEYLIST", keys);
 
         /* tell the user to restart for settings to take effect */
-        if (query.exec() && query.isActive()) {
-
+        if (query.exec() && query.isActive())
+        {
             /* clear bindings to the jumppoint */
-            gContext->GetMainWindow()->ClearJump(id.action());
+            gContext->GetMainWindow()->ClearJump(id.Action());
 
             /* make the bindings take effect */
-            gContext->GetMainWindow()->BindJump(id.action(),keys);
+            gContext->GetMainWindow()->BindJump(id.Action(), keys);
         }
     }
 }
 
 
 
-void KeyBindings::commitChanges(void)
+void KeyBindings::CommitChanges(void)
 {
-    ActionList modified = actionset.getModified();
+    ActionList modified = m_ActionSet.GetModified();
 
     while (modified.size() > 0)
     {
         ActionID id = modified.front();
 
         /* commit either a jumppoint or an action */
-        if (id.context() == JUMP_CONTEXT) commitJumppoint(id);
-        else commitAction(id);
+        if (id.Context() == JUMP_CONTEXT)
+            CommitJumppoint(id);
+        else
+            CommitAction(id);
 
         /* tell the action set that the action is no longer modified */
-        actionset.unmodify(id);
+        m_ActionSet.Unmodify(id);
 
         modified.pop_front();
     }
@@ -182,7 +189,7 @@
 
 
 
-void KeyBindings::retrieveJumppoints()
+void KeyBindings::RetrieveJumppoints()
 {
     MSqlQuery query(MSqlQuery::InitCon());
 
@@ -192,7 +199,7 @@
                       "FROM jumppoints "
                       "WHERE hostname = :HOSTNAME "
                       "ORDER BY destination ;");
-        query.bindValue(":HOSTNAME", this->getHostname());
+        query.bindValue(":HOSTNAME", m_Hostname);
     }
 
     query.exec();
@@ -202,18 +209,17 @@
         ActionID id(JUMP_CONTEXT, query.value(0).toString());
 
         if (query.value(1).toString().isEmpty())
-        {
-            actionset.addAction(id, query.value(0).toString(),
-                                query.value(2).toString());
-        }
-        else actionset.addAction(id,query.value(1).toString(),
-                                 query.value(2).toString());
+            m_ActionSet.AddAction(id, query.value(0).toString(),
+                                  query.value(2).toString());
+        else
+            m_ActionSet.AddAction(id,query.value(1).toString(),
+                                  query.value(2).toString());
     }
 }
 
 
 
-void KeyBindings::retrieveContexts()
+void KeyBindings::RetrieveContexts()
 {
 
     MSqlQuery query(MSqlQuery::InitCon());
@@ -225,7 +231,7 @@
                       "WHERE hostname = :HOSTNAME "
                       "ORDER BY context,action ;");
 
-        query.bindValue(":HOSTNAME", this->getHostname());
+        query.bindValue(":HOSTNAME", m_Hostname);
     }
 
     query.exec();
@@ -233,45 +239,45 @@
     for (query.next(); query.isValid(); query.next())
     {
         ActionID id(query.value(0).toString(), query.value(1).toString());
-        this->actionset.addAction(id, query.value(2).toString(),
-                                  query.value(3).toString());
+        m_ActionSet.AddAction(id, query.value(2).toString(),
+                              query.value(3).toString());
     }
 }
 
 
 
-void KeyBindings::loadManditoryBindings(void)
+void KeyBindings::LoadMandatoryBindings(void)
 {
-    if (getManditoryBindings().empty())
+    if (GetMandatoryBindings().empty())
     {
-        manditoryBindings().append(ActionID(GLOBAL_CONTEXT, "DOWN"));
-        defaultKeys().append("Down");
+        MandatoryBindings().append(ActionID(GLOBAL_CONTEXT, "DOWN"));
+        DefaultKeys().append("Down");
 
-        manditoryBindings().append(ActionID(GLOBAL_CONTEXT, "UP"));
-        defaultKeys().append("Up");
+        MandatoryBindings().append(ActionID(GLOBAL_CONTEXT, "UP"));
+        DefaultKeys().append("Up");
 
-        manditoryBindings().append(ActionID(GLOBAL_CONTEXT, "LEFT"));
-        defaultKeys().append("Left");
+        MandatoryBindings().append(ActionID(GLOBAL_CONTEXT, "LEFT"));
+        DefaultKeys().append("Left");
 
-        manditoryBindings().append(ActionID(GLOBAL_CONTEXT, "RIGHT"));
-        defaultKeys().append("Right");
+        MandatoryBindings().append(ActionID(GLOBAL_CONTEXT, "RIGHT"));
+        DefaultKeys().append("Right");
 
-        manditoryBindings().append(ActionID(GLOBAL_CONTEXT, "ESCAPE"));
-        defaultKeys().append("Esc");
+        MandatoryBindings().append(ActionID(GLOBAL_CONTEXT, "ESCAPE"));
+        DefaultKeys().append("Esc");
 
-        manditoryBindings().append(ActionID(GLOBAL_CONTEXT, "SELECT"));
-        defaultKeys().append("Return,Enter,Space");
+        MandatoryBindings().append(ActionID(GLOBAL_CONTEXT, "SELECT"));
+        DefaultKeys().append("Return,Enter,Space");
     }
 }
 
 
 
-bool KeyBindings::hasManditoryBindings(void) const
+bool KeyBindings::HasMandatoryBindings(void) const
 {
-    ActionList manlist = getManditoryBindings();
+    ActionList manlist = GetMandatoryBindings();
     for (size_t i = 0; i < manlist.count(); i++)
     {
-        if (actionset.getKeys(manlist[i]).isEmpty())
+        if (m_ActionSet.GetKeys(manlist[i]).isEmpty())
             return false;
     }
 
Index: mythcontrols/actionset.cpp
===================================================================
--- mythcontrols/actionset.cpp	(revision 11460)
+++ mythcontrols/actionset.cpp	(working copy)
@@ -36,21 +36,21 @@
 
 
 /* method description in header */
-bool ActionSet::add(const ActionID &id, const QString &key)
+bool ActionSet::Add(const ActionID &id, const QString &key)
 {
     Action *a;
 
     /* get the action; make sure it exists before doing anything */
-    if ((a = this->action(id)))
+    if ((a = this->GetAction(id)))
     {
 
         /* if the key was added, mark this action as modified, and
            update the key map */
-        if (a->addKey(key))
+        if (a->AddKey(key))
         {
-            ActionList &ids = _keymap[key];
+            ActionList &ids = m_KeyMap[key];
             ids.push_back(id);
-            this->modify(id);	
+            this->Modify(id);	
             return true;
         }
     }
@@ -61,23 +61,23 @@
 
 
 /* method description in header */
-bool ActionSet::remove(const ActionID &id, const QString & key)
+bool ActionSet::Remove(const ActionID &id, const QString & key)
 {
 
     Action *a;
 
     /* make sure an action exists before removing */
-    if ((a = this->action(id)))
+    if ((a = this->GetAction(id)))
     {
         /* if the key was removed from the action, then remove it from
          * the key list, and mark the action id as modified */
-        if (a->removeKey(key))
+        if (a->RemoveKey(key))
         {
             /* remove the action from the key map */
-            this->_keymap[key].remove(id);
+            this->m_KeyMap[key].remove(id);
 
             /* mark the action as modified */
-            this->modify(id);
+            this->Modify(id);
 
             return true;	    
         }
@@ -90,26 +90,26 @@
 
 
 /* method description in header */
-bool ActionSet::replace(const ActionID &id, const QString &newkey,
+bool ActionSet::Replace(const ActionID &id, const QString &newkey,
                         const QString &oldkey)
 {
     Action *a;
 
     /* make sure an action exists before replacing */
-    if ((a = this->action(id)))
+    if ((a = this->GetAction(id)))
     {
 
         /* make sure the key was actually replaced before modifying */
-        if (a->replaceKey(newkey, oldkey))
+        if (a->ReplaceKey(newkey, oldkey))
         {
             /* remove the action from the old key */
-            this->_keymap[oldkey].remove(id);
+            this->m_KeyMap[oldkey].remove(id);
 
             /* add the action to the new key */
-            this->_keymap[newkey].push_back(id);
+            this->m_KeyMap[newkey].push_back(id);
 
             /* mark the action as modified */
-            this->modify(id);
+            this->Modify(id);
 
             /* the job is done, return true */
             return true;	    
@@ -123,10 +123,10 @@
 
 
 /* method description in header */
-QStringList * ActionSet::contextStrings(void) const
+QStringList * ActionSet::ContextStrings(void) const
 {
     QStringList *context_strings = new QStringList();
-    QDictIterator<Context> it(_contexts);
+    QDictIterator<Context> it(m_Contexts);
 
     for (; it.current(); ++it)
         context_strings->append(it.currentKey());
@@ -137,15 +137,16 @@
 
 
 /* method description in header */
-QStringList * ActionSet::actionStrings(const QString &context_name) const
+QStringList * ActionSet::ActionStrings(const QString &context_name) const
 {
-    Context *c = _contexts[context_name];
+    Context *c = m_Contexts[context_name];
 
-    if (c == NULL) return NULL;
+    if (c == NULL)
+        return NULL;
     else
     {
         QStringList *action_strings = new QStringList();
-        QDictIterator<Action> it(*(_contexts[context_name]));
+        QDictIterator<Action> it(*(m_Contexts[context_name]));
 
         for (; it.current(); ++it)
             action_strings->append(it.currentKey());
@@ -157,29 +158,30 @@
 
 
 /* method description in header */
-bool ActionSet::addAction(const ActionID &id, const QString &description,
+bool ActionSet::AddAction(const ActionID &id, const QString &description,
                           const QString &keys)
 {
-    if (!_contexts[id.context()]) _contexts.insert(id.context(),
-                                                   new Context());
+    if (!m_Contexts[id.Context()]) m_Contexts.insert(id.Context(),
+                                                     new Context());
 
     /* return false if the action already exists */
-    if ((*_contexts[id.context()])[id.action()]) return false;
+    if ((*m_Contexts[id.Context()])[id.Action()])
+        return false;
     else
     {
         /* create the action */
         Action *a = new Action(description, keys);
 
         /* add the action into the dict */
-        _contexts[id.context()]->insert(id.action(), a);
+        m_Contexts[id.Context()]->insert(id.Action(), a);
 
         /* get the actions keys */
-        const QStringList &keys = a->getKeys();
+        const QStringList &keys = a->GetKeys();
         for (size_t i = 0; i < keys.count(); i++)
         {
             /* get the action list (of actions bound to keys[i])
-               if there is no key, keys[i], in the map, it will be added now */
-            ActionList &ids = _keymap[keys[i]];
+               if there is no key, keys[i], in the map, it will be added now*/
+            ActionList &ids = m_KeyMap[keys[i]];
 
             /* add this action id to the list of actions bound to this key */
             ids.push_back(id);
@@ -193,15 +195,15 @@
 
 
 
-QString ActionSet::keyString(const ActionID &id) const
+QString ActionSet::KeyString(const ActionID &id) const
 {
     Context *c;
-    if ((c = _contexts[id.context()]))
+    if ((c = m_Contexts[id.Context()]))
     {
         Action *a;
-        if ((a = (*c)[id.action()]))
+        if ((a = (*c)[id.Action()]))
         {
-            return a->keyString();
+            return a->KeyString();
         }
     }
     return QString::null;
@@ -209,15 +211,15 @@
 
 
 
-QStringList ActionSet::getKeys(const ActionID &id) const
+QStringList ActionSet::GetKeys(const ActionID &id) const
 {
     Context *c;
-    if ((c = _contexts[id.context()]))
+    if ((c = m_Contexts[id.Context()]))
     {
         Action *a;
-        if ((a = (*c)[id.action()]))
+        if ((a = (*c)[id.Action()]))
         {
-            return a->getKeys();
+            return a->GetKeys();
         }
     }
 
@@ -226,15 +228,15 @@
 
 
 
-const QString & ActionSet::getDescription(const ActionID &id) const
+const QString & ActionSet::GetDescription(const ActionID &id) const
 {
     Context *c;
-    if ((c = _contexts[id.context()]))
+    if ((c = m_Contexts[id.Context()]))
     {
         Action *a;
-        if ((a = (*c)[id.action()]))
+        if ((a = (*c)[id.Action()]))
         {
-            return a->getDescription();
+            return a->GetDescription();
         }
     }
 
@@ -243,9 +245,9 @@
 
 
 
-const ActionList & ActionSet::getActions(const QString &key) const
+const ActionList & ActionSet::GetActions(const QString &key) const
 {
-    return _keymap[key];
+    return m_KeyMap[key];
 }
 
 
Index: mythcontrols/mythcontrols.h
===================================================================
--- mythcontrols/mythcontrols.h	(revision 11460)
+++ mythcontrols/mythcontrols.h	(working copy)
@@ -71,7 +71,7 @@
      *
      * If no context is selected, an empty string is returned.
      */
-    QString getCurrentContext(void) const;
+    QString GetCurrentContext(void) const;
 
     /**
      * @brief Get the currently selected action string.
@@ -79,7 +79,7 @@
      *
      * If no action is selected, an empty string is returned.
      */
-    QString getCurrentAction(void) const;
+    QString GetCurrentAction(void) const;
 
     /**
      * @brief Get the currently selected key string
@@ -87,10 +87,8 @@
      *
      * If no context is selected, an empty string is returned.
      */
-    QString getCurrentKey(void) const;
-
+    QString GetCurrentKey(void) const;
     
-    
 protected:
 
     /**
@@ -102,7 +100,7 @@
      * mythcontrols.  If this method returns false, the plugin should
      * exit since it will probably just core dump.
      */
-    bool loadUI();
+    bool LoadUI();
 
     /**
      * @brief The key press handler.
@@ -116,32 +114,32 @@
      * Updates the list of keys that are shown and the description of
      * the action.
      */
-    void refreshKeyInformation();
+    void RefreshKeyInformation();
 
     /**
      * @brief Load the appropriate actions into the action list.
      * @param context The context, from which actions will be
      * displayed.
      */
-    void refreshRightList(void);
+    void RefreshRightList(void);
 
     /**
      * @brief Redisplay both the left and right lists and fix focus
      */
-    void updateLists(void);
+    void UpdateLists(void);
 
     /**
      * @brief Load the settings for a particular host.
      * @param hostname The host to load settings for.
      */
-    void loadHost(const QString & hostname);
+    void LoadHost(const QString & hostname);
 
     /**
      * @brief Focus a button in a particular direction.
      * @param direction Positave values focus to the right, negatives
      * to the left.  A value of zero focuses the first button.
      */
-    void focusButton(int direction);
+    void FocusButton(int direction);
 
     /**
      * @brief Determine which button is focused.
@@ -150,21 +148,21 @@
      *
      * @sa Action::MAX_KEYS
      */
-    size_t focusedButton(void) const;
+    size_t FocusedButton(void) const;
 
     /**
      * @brief Resolve a potential conflict.
      * @return true if the conflict should be bound, otherwise, false
      * is returned.
      */
-    bool resolveConflict(ActionID *conflict, int level);
+    bool ResolveConflict(ActionID *conflict, int level);
 
     /**
      * @brief Focus a new list and take focus away from the old.
      * @param focus The list to gain focus
      * @param unfocus The list to loose focus
      */
-    void switchListFocus(UIListBtnType *focus, UIListBtnType *unfocus);
+    void SwitchListFocus(UIListBtnType *focus, UIListBtnType *unfocus);
 
     /**
      * @brief Add bindings to QDict<binding_t> for specified context
@@ -173,55 +171,59 @@
      * @param contextParent the context whose keybindings are being calculated
      * @param bindlevel the bind level associated with this context
      */
-    void addBindings(QDict<binding_t> &bindings, const QString &context, const QString &contextParent, int bindlevel);
+    void AddBindings(QDict<binding_t> &bindings, const QString &context,
+                     const QString &contextParent, int bindlevel);
 
     /**
      * @brief Create a BindingList for the specified context
      * @param context the context for which a BindingList should be created
      */
-    BindingList *getKeyBindings(const QString &context);
+    BindingList *GetKeyBindings(const QString &context);
 
 private slots:
 
-/**
- * @brief Add a key to the currently selected action.
- */
-void addKeyToAction(void);
+    /**
+     * @brief Add a key to the currently selected action.
+     */
+    void AddKeyToAction(void);
 
     /**
      * @brief Delete the currently active key.
      */
-    void deleteKey();
+    void DeleteKey();
 
     /**
      * @brief Save the settings.
      */
-    inline void save(void) { key_bindings->commitChanges(); }
+    inline void Save(void)
+    {
+        m_KeyBindings->CommitChanges();
+    }
 
     /**
      * @brief Recieves a signal when an item in the left list is
      * selected.
      * @param item The selected item.
      */
-    void leftSelected(UIListBtnTypeItem *item);
+    void LeftSelected(UIListBtnTypeItem *item);
 
     /**
      * @brief Recieves a signal when an item in the right list is
      * selected.
      * @param item The selected item.
      */
-    void rightSelected(UIListBtnTypeItem *item);
+    void RightSelected(UIListBtnTypeItem *item);
 
     /**
      * @brief Sort a list of keys, removing duplicates
      * @param keys the list of keys to sort
      */
-    void sortKeyList(QStringList &keys);
+    void SortKeyList(QStringList &keys);
 
     /**
      * @brief Refresh binding information
      */
-    void refreshKeyBindings();
+    void RefreshKeyBindings();
 
     /**
      * @brief Jump to a particular key binding
@@ -231,26 +233,31 @@
 
 private:
 
-    UIType *focused;
-    UIListBtnType *LeftList;
-    UIListBtnType *RightList;
-    UITextType *description, *LeftDesc, *RightDesc;
-    UITextButtonType * ActionButtons[Action::MAX_KEYS];
-    KeyBindings *key_bindings;
-    LayerSet *container;
+    UIType *m_Focused;
+    UIListBtnType *m_LeftList;
+    UIListBtnType *m_RightList;
+    UITextType *m_Description, *m_LeftDesc, *m_RightDesc;
+    UITextButtonType * m_ActionButtons[Action::MAX_KEYS];
+    KeyBindings *m_KeyBindings;
+    LayerSet *m_Container;
 
-    QStringList contexts; ///< sorted list of contexts
+    QStringList m_SortedContexts; ///< sorted list of contexts
     QStringList keys; ///< sorted list of keys
 
-    QDict<QStringList> m_contexts; ///< actions for a given context
-    QDict<BindingList> contextKeys; ///< key bindings for a given context
-    QDict<BindingList> keyActions; ///< actions in each context for a given key
+    QDict<QStringList> m_Contexts; ///< actions for a given context
+    QDict<BindingList> m_ContextKeys; ///< key bindings for a given context
+    QDict<BindingList> m_KeyActions; ///< actions in each context for a given key
 
-    typedef enum { kContextList, kKeyList, kActionList } ListType;
-    ListType leftType, rightType;
+    typedef enum {
+        kContextList,
+        kKeyList,
+        kActionList
+    } ListType;
 
-    QString getTypeDesc(ListType type);
+    ListType m_LeftType, m_RightType;
 
+    QString GetTypeDesc(ListType type);
+
 };
 
 
